;;;; cl-scopes/app/demo/main - sample main program

(defpackage :scopes/app/demo
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config)
                    (:cs-hx :scopes/frontend/cs-hx)
                    (:core :scopes/core)
                    (:forge :scopes/forge)
                    (:logging :scopes/logging)
                    (:server :scopes/web/server)
                    (:util :scopes/util))
  (:export #:main))

(in-package :scopes/app/demo)

(defun main()
  (let ((config-path (util:relative-path "config" "etc")))
    (format t "~%Hello World.~%config-path: ~s~%" config-path)
    (load config-path))
  (core:setup-services)
  (setf forge:*forge-env* (forge:forge-env))
  (forge:setup-builtins)
  (forge:repl)
  (core:shutdown))
